# 标牌通知格式

* [推送通知,紧急插播]()
* [全部通知（已改成接口）]()
* [轮播图集-校牌（已改成接口）]()
* [班级信息（已改成接口）]()
* [单卡修改]()
* [校本资源推送（加参数）]()
### 基本格式
```javascript
{
  "cmd":"1",
  "data":{"list":["item"],"info":"infotext"}
}
```
##### 参数说明
| 字段        | 类型           | 备注  |
| ------------- |:-------------:| :-----:|
| `cmd`     | String          | 命令码 |
| `data`     | JSON      |   可选，如果只推送命令，这个可以不加。有具体数据的情况，这里存数据 |


#### 推送通知,紧急插播
* 整体格式

```javascript
{
  "cmd":"0",
  "data":{
    "ID": 559,
    "Title": "adf",
    "Detail": "adfasdfasd",
    "Flag": 0,
    "State": 2,
    "PublishDate": "2017-05-03T05:26:05Z",
    "EndTime": "2017-06-03T05:00:00Z",
    "Intime": "2017-05-03T05:26:06.05Z",
    "UserId": "509989",
    "SignName": "adsf",
    "SchoolId": 2,
    "Style": null,
    "RoleType": 10
  }
}
```
#### 全部通知
* 整体格式

```javascript
{
  "cmd": "4",
  "data": [
    {
      "ID": 559,
      "Title": "adf",
      "Detail": "adfasdfasd",
      "Flag": 0,
      "State": 2,
      "PublishDate": "2017-05-03T05:26:05Z",
      "EndTime": "2017-06-03T05:00:00Z",
      "Intime": "2017-05-03T05:26:06.05Z",
      "UserId": "509989",
      "SignName": "adsf",
      "SchoolId": 2,
      "Style": null,
      "RoleType": 10
    }
  ]
}
```
#### 轮播图集-校牌
* 整体格式

```javascript
{
  "cmd": "3",
  "data": [
    {
      "ID": 1544,
      "DeviceId": "1234567890000000",
      "Img": "http://sincere-xiaoxin.oss-cn-hangzhou.aliyuncs.com/Content/380/20170503134559232.png",
      "State": 2,
      "Intime": "2017-05-03T05:45:59.403Z",
      "PublishTime": "2017-05-03T05:46:03Z",
      "Title": "",
      "Position": 1
    },
    {
      "ID": 1545,
      "DeviceId": "1234567890000000",
      "Img": "http://sincere-xiaoxin.oss-cn-hangzhou.aliyuncs.com/Content/380/20170503134601014.png",
      "State": 2,
      "Intime": "2017-05-03T05:46:01.14Z",
      "PublishTime": "2017-05-03T05:46:03Z",
      "Title": "",
      "Position": 1
    },
    {
      "ID": 1546,
      "DeviceId": "1234567890000000",
      "Img": "http://sincere-xiaoxin.oss-cn-hangzhou.aliyuncs.com/Content/380/20170503134603139.png",
      "State": 2,
      "Intime": "2017-05-03T05:46:03.297Z",
      "PublishTime": "2017-05-03T05:46:03Z",
      "Title": "",
      "Position": 1
    }
  ]
}

```
#### 班级信息
* 整体格式

```javascript
{
  "cmd": "6",
  "data": {
    "Id": 0,
    "ClassId": 6889,
    "RoomId": 0,
    "ClassName": "初中二年级(01)班",
    "Detail": null,
    "Honor": null,
    "State": 0,
    "InTime": "0001-01-01T00:00:00Z",
    "PublishTime": "0001-01-01T00:00:00Z",
    "Logo": null,
    "SignName": null,
    "Style": null
  }
}

```

#### 单卡修改推送
* 整体格式

```javascript
{
  "cmd": "23",
  "data": {
    "UserId": "325057",
    "UserName": null,
    "Pass": null,
    "Photo": null,
    "CustomerId": 0,
    "Gender": 0,
    "CardNumber": "27ca1b54",
    "UserType": 0,
    "UserTypeSub": 0,
    "UserNumber": null,
    "ClassId": 0,
    "ClassName": null,
    "ClassSplice": null,
    "GradeId": 0,
    "SchoolId": 2
  }
}

```
#### 校本资源推送（加参数）
* 增加参数typeId，用于区分是课外资源还是每日一练.resTypeId资源分类

```javascript
{
  "cmd": "102",
  "data": {
    "typeId": 0,
    "resTypeId": 0
  }
}

```
